Subject: Re: [Bitcoin-development] Punishing empty blocks?

From: Gregory Maxwell <[email-masked]>
Date: Thu, 24 May 2012 21:00:41 -0400

On Thu, May 24, 2012 at 8:51 PM, Jeff Garzik <[email-masked]> wrote:
> which ones are the lazy miners (> 120 seconds since last block).

It's important to understand the motivations before acting— otherwise
you'll fail to do anything useful.

E.g. if they're empty because some miners want to drive up fees or
fight against the rapidly increasing blockchain size there isn't much
you can do there.

If they're empty because they're mined by botnets which don't have a
local copy of the chain in order to load their victims less (and avoid
central pooling) then you want something like
https://bitcointalk.org/index.php?topic=68396.0

If they're produced by people who think they gain a mining speed
advantage by not including them then then we need education— dropping
their blocks won't help much: we've seen miners go a month with 100%
of their blocks being orphaned.